<template>
<div class="wrapper">

  <div class="step">
    <div class="text">
      <h3>1. Find portfolio you want to copy</h3>
      <p>
        All portfolios are
        <b>rated by the community</b> and <b>researched automatically</b> for you.
      </p>
    </div>
    <div class="portfolio-card image">
      <img src="/static/portfolio-card.png">
    </div>
  </div>

  <hr/>

  <div class="step-desktop">
    <div class="portfolio-copy image">
      <img src="/static/portfolio-copy.png">
    </div>
    <div class="text">
      <h3>2. Copy the portfolio</h3>
      <p>
        One click and you buy the coins.
        The original portfolio
        <b>owner gets a small fee as a reward.</b>
      </p>
    </div>
  </div>

  <div class="step-mobile">
    <div class="text">
      <h3>2. Copy the portfolio</h3>
      <p>
        One click and you buy the coins.
        The original portfolio
        <b>owner gets a small fee as a reward.</b>
      </p>
    </div>
    <div class="portfolio-copy image">
      <img src="/static/portfolio-copy.png">
    </div>
  </div>

  <hr/>

  <div class="step">
    <div class="text">
      <h3>3. Follow the portfolio owner</h3>
      <p>
        Once you copy a portfolio you can
        <b>communicate with the portfolio owner</b>
        and <b>follow future portfolio transactions</b>.
      </p>
    </div>
    <div class="portfolio-follow image">
      <img src="/static/portfolio-follow.png">
    </div>
  </div>

</div>
</template>

<script>
export default {
  name: 'LandingPageCopyingExplanation',
};
</script>

<style lang="scss" scoped>
@import '~styles/colors.scss';

hr {
  height: 1px;
  width: 60%;
  border: none;

  background-color: $line-color;
}

.step, .step-desktop {
  display: flex;
  align-items: center;

  p {
    font-size: 1.1em;
  }

  .image {
    flex: 50;
    margin: 1em;
  }

  .text {
    flex: 50;
    margin: 1em;

    text-align: left;
  }
}

.step-mobile {
  display: none;
}

.portfolio-card, .portfolio-copy {
  img {
    max-width: 347px;
  }
}

.portfolio-follow {
  img {
    max-width: 500px;
  }
}

@media screen and (max-width: 425px) {
  .step, .step-mobile {
    display: block;
    text-align: left;

    .image {
      margin: 0;
      text-align: center;

      img {
        max-width: 100%;
        max-height: 100%;
      }
    }
  }
  .step-desktop {
    display: none;
  }
}
</style>
